
Installer - Feature #28067

Install dynflow sidekiq services

10/16/2019 01:37 AM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Foreman modules   

Target version:    

Difficulty: medium Fixed in Releases: 2.0.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman/pull/791,

https://github.com/theforeman/puppet-for

eman/pull/761,

https://github.com/theforeman/foreman-i

nstaller/pull/400

  

Description

Install dynflow sidekiq services and configurations.

Related issues:

Blocks Foreman - Refactor #27415: installer/packaging support for configuring... Resolved

Blocked by Packaging - Feature #28065: Add dynflow-sidekiq rpm package Closed

Blocked by Packaging - Feature #28068: Add dynflow-sidekiq deb package Closed

Associated revisions

Revision bdd1730c - 01/20/2020 08:14 PM - Ondřej Ezr

Fixes #28067 - dynflow sidekiq services config

Revision 9aa28178 - 01/25/2020 11:23 AM - Eric Helms

Refs #28067: Ensure dynflow worker config exists before service

If the dynflow worker service starts before the configuration file

has been deployed the worker will fail to start.

History

#1 - 10/16/2019 01:38 AM - Ondřej Ezr

- Blocks Refactor #27415: installer/packaging support for configuring sidekiq in a required way added

#2 - 10/16/2019 01:39 AM - Ondřej Ezr

- Blocked by Feature #28065: Add dynflow-sidekiq rpm package added

#3 - 10/16/2019 01:50 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-foreman/pull/761 added

#4 - 10/22/2019 05:51 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/400 added

#5 - 10/22/2019 06:25 PM - Ondřej Ezr

- Blocked by Feature #28068: Add dynflow-sidekiq deb package added

#6 - 01/20/2020 08:14 PM - The Foreman Bot

- Fixed in Releases 2.0.0 added
#7 - 01/20/2020 09:01 PM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman|bdd1730c7259ec229c91073987c877c855213a6f.

#8 - 01/24/2020 02:20 AM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman/pull/791 added
